Bug 809773

Summary: [abrt] kernel: WARNING: at drivers/gpu/drm/i915/i915_drv.c:398 gen6_gt_check_fifodbg+0x41/0x60 [i915]()
Product: [Fedora] Fedora Reporter: Srivatsa S. Bhat <srivatsa.bhat>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: 1241824064, ademar111190, ajax, akeward, akurtako, Blue.Dog.Archolite, bugs, danielsun3164, dek-09q, drindt, elmikado, fedora, frank.schletz, gansalmon, gregor, itamar, jan.kratochvil, jonathan, jsd, juris.krumins80, kernel-maint, lmacken, lmohanty, lnykryn, madhu.chinakonda, mikko.tiihonen, miroslaw.michalski, mniranja, mnovacek, mrunge, pportant, samuel.rakitnican, semberal, spochybova, tiagomatos, tomarkchoi, tswiderski, wmealing, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:70dc881cf8c20d0e70fe3e0f18b387c9a0c16998
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 03:20:09 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Srivatsa S. Bhat 2012-04-04 07:10:09 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.4.0-rc1-kvmfix root=UUID=509b967a-9aa5-4b85-aa42-4f3176c066b1 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 console=tty0 ignore_loglevel debug
kernel:         3.4.0-rc1-kvmfix
reason:         WARNING: at drivers/gpu/drm/i915/i915_drv.c:398 gen6_gt_check_fifodbg+0x41/0x60 [i915]()
time:           Wed 04 Apr 2012 03:19:40 PM IST

backtrace:
:WARNING: at drivers/gpu/drm/i915/i915_drv.c:398 gen6_gt_check_fifodbg+0x41/0x60 [i915]()
:Hardware name: 4180F59
:MMIO read or write has been dropped ffffffff
:Modules linked in: lp ppdev parport_pc parport lockd fuse ip6t_REJECT nf_conntrack_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables arc4 iwlwifi mac80211 snd_hda_codec_conexant uvcvideo snd_hda_intel snd_hda_codec videobuf2_core snd_hwdep snd_seq cfg80211 videodev snd_seq_device snd_pcm thinkpad_acpi coretemp crc32c_intel snd_timer sunrpc media snd ghash_clmulni_intel e1000e videobuf2_vmalloc snd_page_alloc videobuf2_memops tpm_tis iTCO_wdt iTCO_vendor_support i2c_i801 soundcore rfkill microcode tpm tpm_bios joydev pcspkr uinput sdhci_pci sdhci mmc_core i915 i2c_algo_bit nouveau ttm drm_kms_helper drm i2c_core mxm_wmi video wmi [last unloaded: scsi_wait_scan]
:Pid: 1954, comm: kworker/u:11 Not tainted 3.4.0-rc1-kvmfix #2
:Call Trace:
: [<ffffffff8105eeaf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8105efa6>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff8131ff71>] ? delay_tsc+0x71/0xc0
: [<ffffffffa01762d1>] gen6_gt_check_fifodbg+0x41/0x60 [i915]
: [<ffffffffa017682a>] __gen6_gt_force_wake_put+0x1a/0x20 [i915]
: [<ffffffffa0176efb>] i915_read32+0x17b/0x200 [i915]
: [<ffffffff81021729>] ? read_tsc+0x9/0x20
: [<ffffffffa019d3d0>] ? intel_disable_plane+0x90/0x90 [i915]
: [<ffffffffa017a17d>] i915_update_gfx_val+0x8d/0xf0 [i915]
: [<ffffffffa019d43f>] intel_idle_update+0x6f/0x1b0 [i915]
: [<ffffffff810c9afd>] ? trace_hardirqs_on_caller+0x10d/0x1a0
: [<ffffffffa019d3d0>] ? intel_disable_plane+0x90/0x90 [i915]
: [<ffffffff810816a5>] process_one_work+0x185/0x6d0
: [<ffffffff81081644>] ? process_one_work+0x124/0x6d0
: [<ffffffff8168ec81>] ? __schedule+0x431/0xa20
: [<ffffffff81081fcf>] worker_thread+0x15f/0x350
: [<ffffffff81081e70>] ? rescuer_thread+0x240/0x240
: [<ffffffff81087a0e>] kthread+0xae/0xc0
: [<ffffffff810c9b9d>] ? trace_hardirqs_on+0xd/0x10
: [<ffffffff8169b0f4>] kernel_thread_helper+0x4/0x10
: [<ffffffff816912b0>] ? retint_restore_args+0x13/0x13
: [<ffffffff81087960>] ? __init_kthread_worker+0x70/0x70
: [<ffffffff8169b0f0>] ? gs_change+0x13/0x13

comment:
:1. Suspend the system (run pm-suspend as root)
:2. Resume the system.
:
:This problem doesn't occur with every suspend/resume. It happens around once in 5 suspend/resume cycles.

smolt_data:
:
:
:General
:=================================
:UUID: 318d56ff-c47d-4d55-9705-71c4065c0ea6
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5182.73
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2540M CPU @ 2.60GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2601
:System Memory: 7860
:System Swap: 16383
:Vendor: LENOVO
:System: 4180F59 ThinkPad T420
:Form factor: Notebook
:Kernel: 3.4.0-rc1-kvmfix
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8654) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:294:6058:8656) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:4183:6058:8656) pci, nouveau, VIDEO, N/A
:(32902:7192:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8654) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8654) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8654) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7171:6058:8654) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8654) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8654) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8654) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8654) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:6058:8654) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 17796082 15310263 14418974 4456448 4208538 4208538
:/dev/sda3 /home ext4 4096 4096 39270119 20332413 18366333 9830400 9303212 9303212
:
Comment 1 Adam Jackson 2012-08-29 13:32:31 EDT
*** Bug 838886 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2013-01-16 05:04:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Adam Jackson 2013-01-22 15:03:37 EST
*** Bug 836778 has been marked as a duplicate of this bug. ***
Comment 4 Adam Jackson 2013-01-22 15:03:40 EST
*** Bug 838077 has been marked as a duplicate of this bug. ***
Comment 5 Adam Jackson 2013-01-22 15:03:45 EST
*** Bug 838560 has been marked as a duplicate of this bug. ***
Comment 6 Adam Jackson 2013-01-22 15:03:49 EST
*** Bug 846454 has been marked as a duplicate of this bug. ***
Comment 7 Adam Jackson 2013-01-22 15:03:52 EST
*** Bug 853758 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2013-01-22 15:03:56 EST
*** Bug 854714 has been marked as a duplicate of this bug. ***
Comment 9 Adam Jackson 2013-01-22 15:04:03 EST
*** Bug 857783 has been marked as a duplicate of this bug. ***
Comment 10 Adam Jackson 2013-01-22 15:04:07 EST
*** Bug 858924 has been marked as a duplicate of this bug. ***
Comment 11 Adam Jackson 2013-01-22 15:04:11 EST
*** Bug 859685 has been marked as a duplicate of this bug. ***
Comment 12 Adam Jackson 2013-01-22 15:04:16 EST
*** Bug 862218 has been marked as a duplicate of this bug. ***
Comment 13 Adam Jackson 2013-01-22 15:04:20 EST
*** Bug 862700 has been marked as a duplicate of this bug. ***
Comment 14 Adam Jackson 2013-01-22 15:08:43 EST
*** Bug 863362 has been marked as a duplicate of this bug. ***
Comment 15 Adam Jackson 2013-01-22 15:08:47 EST
*** Bug 863840 has been marked as a duplicate of this bug. ***
Comment 16 Adam Jackson 2013-01-22 15:08:52 EST
*** Bug 863948 has been marked as a duplicate of this bug. ***
Comment 17 Adam Jackson 2013-01-22 15:08:56 EST
*** Bug 865117 has been marked as a duplicate of this bug. ***
Comment 18 Adam Jackson 2013-01-22 15:09:01 EST
*** Bug 865412 has been marked as a duplicate of this bug. ***
Comment 19 Adam Jackson 2013-01-22 15:09:05 EST
*** Bug 865442 has been marked as a duplicate of this bug. ***
Comment 20 Adam Jackson 2013-01-22 15:09:10 EST
*** Bug 865829 has been marked as a duplicate of this bug. ***
Comment 21 Adam Jackson 2013-01-22 15:09:18 EST
*** Bug 866078 has been marked as a duplicate of this bug. ***
Comment 22 Adam Jackson 2013-01-22 15:09:24 EST
*** Bug 866088 has been marked as a duplicate of this bug. ***
Comment 23 Adam Jackson 2013-01-22 15:09:30 EST
*** Bug 866340 has been marked as a duplicate of this bug. ***
Comment 24 Adam Jackson 2013-01-22 15:09:35 EST
*** Bug 866429 has been marked as a duplicate of this bug. ***
Comment 25 Adam Jackson 2013-01-22 15:09:40 EST
*** Bug 867059 has been marked as a duplicate of this bug. ***
Comment 26 Adam Jackson 2013-01-22 15:09:45 EST
*** Bug 867293 has been marked as a duplicate of this bug. ***
Comment 27 Adam Jackson 2013-01-22 15:09:50 EST
*** Bug 867800 has been marked as a duplicate of this bug. ***
Comment 28 Adam Jackson 2013-01-22 15:09:55 EST
*** Bug 867822 has been marked as a duplicate of this bug. ***
Comment 29 Adam Jackson 2013-01-22 15:09:59 EST
*** Bug 868359 has been marked as a duplicate of this bug. ***
Comment 30 Adam Jackson 2013-01-22 15:10:12 EST
*** Bug 869207 has been marked as a duplicate of this bug. ***
Comment 31 Adam Jackson 2013-01-22 15:10:18 EST
*** Bug 870233 has been marked as a duplicate of this bug. ***
Comment 32 Adam Jackson 2013-01-22 15:12:02 EST
*** Bug 871440 has been marked as a duplicate of this bug. ***
Comment 33 Adam Jackson 2013-01-22 15:12:08 EST
*** Bug 872107 has been marked as a duplicate of this bug. ***
Comment 34 Adam Jackson 2013-01-22 15:12:15 EST
*** Bug 875212 has been marked as a duplicate of this bug. ***
Comment 35 Adam Jackson 2013-01-22 15:12:20 EST
*** Bug 886858 has been marked as a duplicate of this bug. ***
Comment 36 Adam Jackson 2013-01-22 15:12:25 EST
*** Bug 890147 has been marked as a duplicate of this bug. ***
Comment 37 Adam Jackson 2013-01-22 15:12:31 EST
*** Bug 890634 has been marked as a duplicate of this bug. ***
Comment 38 Adam Jackson 2013-01-22 15:12:45 EST
*** Bug 891497 has been marked as a duplicate of this bug. ***
Comment 39 Adam Jackson 2013-01-22 15:12:50 EST
*** Bug 895465 has been marked as a duplicate of this bug. ***
Comment 40 Fedora End Of Life 2013-02-13 03:20:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.